Skip to content

This API allows sponsors/CROs to send Safety reports and letters to Sites using Veeva SiteVault. Learn more about Safety Distributions in Vault Help.

POST/api/{version}/cdxdocsend/sendSafetyDistribution
NameDescription
Content-Typeapplication/x-www-form-urlencoded (default)
Acceptapplication/json (default) or application/xml
NameDescription
safetyDistributionIdThe record ID of the Safety Distribution record to send. Must be in a Ready or Distributed state.
sitesA comma-separated list of Study Site IDs (site__v) which will receive this Safety Distribution.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ https://myvault.veevavault.com/api/v21.1/cdxdocsend/sendSafetyDistribution
{ "responseStatus": "SUCCESS", "results": [] }

On SUCCESS, the safety distribution is distributed to sites. On FAILURE, this API displays an error message explaining why the distribution could not be distributed.